Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Interface IPreferenceNode

All Known Implementing Classes:
  PreferenceNode

public interface IPreferenceNode

Interface to a node in a preference dialog. A preference node maintains a label and image used to display the node in a preference dialog (usually in the form of a tree), as well as the preference page this node stands for. The node may use lazy creation for its page Note that all preference nodes must be dispose their resources. The node must dispose the page managed by this node, and any SWT resources allocated by this node (Images, Fonts, etc). However the node itself may be reused.

Method Summary
`void` | `add(IPreferenceNode node)` Adds the given preference node as a subnode of this preference node.
`void` | `createPage()` Creates the preference page for this node.
`void` | `disposeResources()` Release the page managed by this node, and any SWT resources held onto by this node (Images, Fonts, etc).
`IPreferenceNode` | `findSubNode(String id)` Returns the subnode of this contribution node with the given node id.
`String` | `getId()` Returns the id of this contribution node.
`Image` | `getLabelImage()` Returns the image used to present this node in a preference dialog.
`String` | `getLabelText()` Returns the text label used to present this node in a preference dialog.
`IPreferencePage` | `getPage()` Returns the preference page for this node.
`IPreferenceNode[]` | `getSubNodes()` Returns an iterator over the subnodes (immediate children) of this contribution node.
`boolean` | `remove(IPreferenceNode node)` Removes the given preference node from the list of subnodes (immediate children) of this node.
`IPreferenceNode` | `remove(String id)` Removes the subnode of this preference node with the given node id.

Method Detail

### add

    public void add(IPreferenceNode node)

  Adds the given preference node as a subnode of this preference node.

  Parameters:
    `node` - the node to add

### createPage

    public void createPage()

  Creates the preference page for this node.

### disposeResources

    public void disposeResources()

  Release the page managed by this node, and any SWT resources held onto by this node (Images, Fonts, etc). Note that nodes are reused so this is not a call to dispose the node itself.

### findSubNode

    public IPreferenceNode findSubNode(String id)

  Returns the subnode of this contribution node with the given node id.

  Parameters:
    `id` - the preference node id
  Returns:
    the subnode, or `null` if none

### getId

    public String getId()

  Returns the id of this contribution node. This id identifies a contribution node relative to its parent.

  Returns:
    the node id

### getLabelImage

    public Image getLabelImage()

  Returns the image used to present this node in a preference dialog.

  Returns:
    the image for this node, or `null` if there is no image for this node

### getLabelText

    public String getLabelText()

  Returns the text label used to present this node in a preference dialog.

  Returns:
    the text label for this node, or `null` if there is no label for this node

### getPage

    public IPreferencePage getPage()

  Returns the preference page for this node.

  Returns:
    the preference page

### getSubNodes

    public IPreferenceNode[] getSubNodes()

  Returns an iterator over the subnodes (immediate children) of this contribution node.

  Returns:
    an IPreferenceNode array containing the child nodes

### remove

    public IPreferenceNode remove(String id)

  Removes the subnode of this preference node with the given node id.

  Parameters:
    `id` - the subnode id
  Returns:
    the removed subnode, or `null` if none

### remove

    public boolean remove(IPreferenceNode node)

  Removes the given preference node from the list of subnodes (immediate children) of this node.

  Parameters:
    `node` - the node to remove
  Returns:
    `true` if the node was removed, and `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.